﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.Bandits {
  public interface IBandit {
    int NumArms { get; }
    int OptimalExpectedRewardArm { get; } // arm which is optimal for optimization of expected reward
    int OptimalMaximalRewardArm { get; } // arm which is optimal for optimization of maximal reward

    double Pull(int arm); // pulling an arm returns a reward
  }
}
